import '../../stencil.core';
import { EventEmitter } from '../../stencil.core';
export declare class EdelMenuItemComponent {
    hostElement: HTMLElement;
    active: boolean;
    class: string | {
        [className: string]: boolean;
    } | undefined;
    emit: EventEmitter<MouseEvent>;
    onClick(event: MouseEvent): void;
    render(): JSX.Element;
    handleClick(event: MouseEvent): void;
    componentDidLoad(): void;
    didChange(nextClass: EdelMenuItemComponent['class'], previousClass?: EdelMenuItemComponent['class']): void;
}
